Manual talk:Installation guide

Jump to navigation Jump to search

About this board

archive of this page .

Request for documentation tweak regarding PHP 7.4

2
Econterms (talkcontribs)

This page says "Warning: MediaWiki is not compatible with PHP 7.4.0 to 7.4.2 due to an upstream bug. See phab:T246594 for more information." Could we replace "bug" by plainer language? The phab page did not seem to be informative. This seems clearer, if it is correct:

"Warning: MediaWiki cannot run on PHP 7.4.0 to 7.4.2 because of a bug in PHP. See phab:T246594 for more information."

Ciencia Al Poder (talkcontribs)

Done

Problems with Liuggio while installing 1.34.2

1
DocCMichel (talkcontribs)

Hi there,


I'm trying to install MediaWiki 1.34.2 in my domain space hosted by a provider. The following error message occured right after "Administratorkonto wird erstellt…" (creating admin account):

[XxRmpVKlVr4AALNFucMAAAAK] /RPGWiki/mw-config/index.php?page=Install Error from line 48 of /homepages/18/d372413260/htdocs/RPGWiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Factory/StatsdDataFactory.php: Class 'Liuggio\StatsdClient\Entity\StatsdDataInterface' not found


Here's what I've done so far:

1. checking the installation requirements: I've found PHP 7.4.7, PCRE enabled, JSON support enabled, mysqlnd 7.4.7 => looks OK, doesn't it !?

2. downloaded mediawiki-1.34.2.tar.gz to my Windows 10 client

3. unpacked the tarball to a folder using 7-Zip

4. fixed the issue concerning the 2 identical named files "StatsdDataFactory" in [folder]\vendor\liuggio\statsd-php-client\src\Liuggio\StatsdClient\Factory manually

5. uploaded the folder to my web space via FTP using WinSCP

6. started the set-up. Everything went smoothly until the error message above occured.


Backtrace showed the following information:


#0 /homepages/18/d372413260/htdocs/RPGWiki/includes/libs/objectcache/wancache/WANObjectCache.php(755): Liuggio\StatsdClient\Factory\StatsdDataFactory->increment(string)

#1 /homepages/18/d372413260/htdocs/RPGWiki/includes/user/User.php(2597): WANObjectCache->delete(string)

#2 /homepages/18/d372413260/htdocs/RPGWiki/includes/libs/rdbms/database/Database.php(3439): User->{closure}(Wikimedia\Rdbms\DatabaseMysqli)

#3 /homepages/18/d372413260/htdocs/RPGWiki/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Closure, string)

#4 /homepages/18/d372413260/htdocs/RPGWiki/includes/libs/rdbms/database/DBConnRef.php(603): Wikimedia\Rdbms\DBConnRef->__call(string, array)

#5 /homepages/18/d372413260/htdocs/RPGWiki/includes/user/User.php(2599): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Closure, string)

#6 /homepages/18/d372413260/htdocs/RPGWiki/includes/user/User.php(4031): User->clearSharedCache(string)

#7 /homepages/18/d372413260/htdocs/RPGWiki/includes/session/SessionManager.php(315): User->saveSettings()

#8 /homepages/18/d372413260/htdocs/RPGWiki/includes/user/User.php(2744): MediaWiki\Session\SessionManager->invalidateSessionsForUser(User)

#9 /homepages/18/d372413260/htdocs/RPGWiki/includes/user/User.php(2699): User->setPasswordInternal(string)

#10 /homepages/18/d372413260/htdocs/RPGWiki/includes/installer/Installer.php(1695): User->setPassword(string)

#11 /homepages/18/d372413260/htdocs/RPGWiki/includes/installer/Installer.php(1624): Installer->createSysop(MysqlInstaller)

#12 /homepages/18/d372413260/htdocs/RPGWiki/includes/installer/WebInstallerInstall.php(44): Installer->performInstallation(array, array)

#13 /homepages/18/d372413260/htdocs/RPGWiki/includes/installer/WebInstaller.php(270): WebInstallerInstall->execute()

#14 /homepages/18/d372413260/htdocs/RPGWiki/mw-config/index.php(80): WebInstaller->execute(array)

#15 /homepages/18/d372413260/htdocs/RPGWiki/mw-config/index.php(38): wfInstallerMain()

#16 {main}



Any ideas? Thanks a lot.

Chris

Reply to "Problems with Liuggio while installing 1.34.2"

 ConfigException from line 53 of /var/www/html/mediawiki/includes/config/GlobalVarConfig.php: GlobalVarConfig::get: undefined option: 'CommandLineMode'

5
Rajeshrajesh.35 (talkcontribs)

Hi Guys,


I am getting these error on linux server.

Using Mediawiki 1.31


[503c1292cffc0d8d41f078dd] [no req]   ConfigException from line 53 of /var/www/html/mediawiki/includes/config/GlobalVarConfig.php: GlobalVarConfig::get: undefined option: 'CommandLineMode'

Backtrace:

#0 /var/www/html/mediawiki/maintenance/Maintenance.php(645): GlobalVarConfig->get(string)

#1 /var/www/html/mediawiki/includes/libs/rdbms/database/Database.php(3461): Maintenance::{closure}(integer, Wikimedia\Rdbms\DatabaseMysqli)

#2 /var/www/html/mediawiki/includes/libs/rdbms/database/Database.php(3795): Wikimedia\Rdbms\Database->runTransactionListenerCallbacks(integer)

#3 /var/www/html/mediawiki/includes/libs/rdbms/database/Database.php(3582): Wikimedia\Rdbms\Database->commit(string, string)

#4 /var/www/html/mediawiki/extensions/SemanticWatchlist/src/TableUpdater.php(60): Wikimedia\Rdbms\Database->endAtomic(string)

#5 /var/www/html/mediawiki/extensions/SemanticWatchlist/src/MediaWiki/Hooks/UserSaveOptions.php(74): SWL\TableUpdater->updateGroupIdsForUser(integer, array)

#6 /var/www/html/mediawiki/extensions/SemanticWatchlist/src/MediaWiki/Hooks/UserSaveOptions.php(68): SWL\MediaWiki\Hooks\UserSaveOptions->performUpdate(array)

#7 /var/www/html/mediawiki/extensions/SemanticWatchlist/src/HookRegistry.php(77): SWL\MediaWiki\Hooks\UserSaveOptions->execute()

#8 /var/www/html/mediawiki/includes/Hooks.php(177): SWL\HookRegistry->SWL\{closure}(Bechtel\KMUser, array)

#9 /var/www/html/mediawiki/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)

#10 /var/www/html/mediawiki/includes/user/User.php(5511): Hooks::run(string, array)

#11 /var/www/html/mediawiki/extensions/Bechtel/src/KMUser.php(310): User->saveOptions()

#12 /var/www/html/mediawiki/extensions/Bechtel/maintenance/Batch.php(190): Bechtel\KMUser->setLastRun(ConvertibleTimestamp)

#13 /var/www/html/mediawiki/maintenance/doMaintenance.php(94): Bechtel\Batch->execute()

#14 /var/www/html/mediawiki/extensions/Bechtel/maintenance/Batch.php(257): require_once(string)

#15 {main}


I have use this but still getting error.


Manual:$wgCommandLineMode


Kindly help me.

Ciencia Al Poder (talkcontribs)

Be sure you have an updated version of SemanticWatchlist compatible with 1.31.

Maybe you need to disable this extension during install. Some of them may be not compatible with the installer or cause strange errors.

Rajeshrajesh.35 (talkcontribs)

I have installed mediawik but whenever i runs Batch.php


Then i gets this error message

Ciencia Al Poder (talkcontribs)

This may be a problem with that Bechtel extension (I didn't notice it before, sorry), that doesn't set the command line mode properly.

Rajeshrajesh.35 (talkcontribs)

@Ciencia Al Poder Thanks for you suggestion.


Finally i got solutions,


We have set these Global key in location setting files.


$[WIKI PRE FIX]CommandLineMode = true;

$[WIKI PRE FIX]StatsdServer = false;


In wiki page these details are not mentions clearly.



Reply to " ConfigException from line 53 of /var/www/html/mediawiki/includes/config/GlobalVarConfig.php: GlobalVarConfig::get: undefined option: 'CommandLineMode'"
92.4.252.74 (talkcontribs)

After upload all the files on the server. I go to the page to follow installation but the page is comp-letely blank. What I have done wrong? What is missing?

Kghbln (talkcontribs)

Have a look [[Manual:Errors_and_symptoms#You_see_a_Blank_Page|here]].

Kghbln (talkcontribs)

I have no idea why but the link does not work in my previous post. See here. Unsolved mysteries all over the place. Robert Stack, I miss you.

Reply to "blank page"

[Moved] MediaWiki 1.18

1
Summary by Kghbln

EditThis.info should upgrade

Locationlol2 (talkcontribs)

This wiki EditThis.info has been running MediaWiki 1.15

MediaWiki 1.15 & MediaWiki 1.16

2
Summary by Kghbln

EditThis.info should upgrade

Locationlol2 (talkcontribs)

This wiki EditThis.info has been running MediaWiki 1.15

Kghbln (talkcontribs)

So? However they should upgrade.

Summary last edited by Ciencia Al Poder 17:28, 10 July 2017 3 years ago

Upgrade

147.30.109.205 (talkcontribs)

Trying to upload the XML file, but the web server has returned an error:

XML error

Ciencia Al Poder (talkcontribs)

MediaWiki 1.15 is very ancient and not supported. Please upgrade.

147.30.109.205 (talkcontribs)

Syntaxhighlight problems with upgrade

4
Taraathan (talkcontribs)

I just used softaculous to upgrade our Mediawiki installation from 1.23.6 to 1.26.2 on a Litespeed server. The script appeared to installed the latest SyntaxHighlight_GeSHi extension, and I also see a recent composer.json in the folder. But I am seeing Category:Pages_with_syntax_highlighting_errors on every wiki page that uses the extension.

I looked at the extension page and noticed the recommendation to use

wfLoadExtension( 'SyntaxHighlight_GeSHi' );

so I put that into my LocalSettings.php instead of the old "require_once..."

but that doesn't change the error indication. I don't know what else to try - suggestions are welcome.

Taraathan (talkcontribs)

Note: the only language that is used is 'xml'.

Ciencia Al Poder (talkcontribs)

The extension page says that since 1.26 it requires composer when downloading from git. Although you don't seem to download from git, unless softaculous does that.

Try redownloading the extension again from the extension distributor page.

Taraathan (talkcontribs)

I have narrowed the problem down to no installation of Composer. I am having difficulty installing this on our shared host. This new dependency is quite a headache - I suggest you make it more clear in your release notes.

Markino76 (talkcontribs)

I am trying to install a mediawiki on an hosted space by aspnix, it's a Windows Server 2008 R2. I am trying using the installation offered by the hosting platform but also trying to make installation by myself.

In any case I keep the result the home page says to me "MediaWiki 1.20.3 LocalSettings.php not found. Please set up the wiki first. " I accept the suggest and I click "set up the wiki" pointing to /mw-config/index.php. This page returns an Internal Error: MessagesEn.php is missing.

Please can you help me to solve this matter?

Thank in advance, Marco

Español100000000001 (talkcontribs)

I am trying to install a mediawiki on an hosted space by aspnix, it's a Windows Server 2008 R2. I am trying using the installation offered by the hosting platform but also trying to make installation by myself.

In any case I keep the result the home page says to me "MediaWiki 1.20.3 LocalSettings.php not found. Please set up the wiki first. "

I accept the suggest and I click "set up the wiki" pointing to /mw-config/index.php. This page returns an Internal Error: MessagesEn.php is missing.

Please can you help me to solve this matter?

This post was hidden by You mad bro? (history)

Upgrade MediaWiki & Entry Processes

1
Summary last edited by Ciencia Al Poder 12:15, 3 July 2017 3 years ago

Please ask in Support Desk if you have problems

50.197.125.81 (talkcontribs)

Hello,

I recently upgraded to a new version of MediaWiki and when I push from stage to production, my cpu/memory/entry processes shoot straight up. The site looks perfect and runs good on stage, but when more than a few vistors come I get this issue. I have looked at everything that I knew to look up. Any ideas would be extremely helpful. Thanks